Bug 260943 - devel/meson: update to 0.61.0
Summary: devel/meson: update to 0.61.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL: https://mesonbuild.com/Release-notes-...
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2022-01-04 22:27 UTC by Jan Beich
Modified: 2022-01-26 20:10 UTC (History)
4 users (show)

See Also:
tcberner: maintainer-feedback+
antoine: exp-run+


Attachments
v0 (RC1) (3.95 KB, patch)
2022-01-04 22:27 UTC, Jan Beich
no flags Details | Diff
v0.1 (RC1) (7.07 KB, patch)
2022-01-07 02:32 UTC, Jan Beich
no flags Details | Diff
v1 (0.61.0) (7.06 KB, patch)
2022-01-12 01:27 UTC, Jan Beich
no flags Details | Diff
v2 (0.61.1) (7.04 KB, patch)
2022-01-18 06:10 UTC, Jan Beich
no flags Details | Diff
v2 (0.61.1) (7.18 KB, patch)
2022-01-25 12:29 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2022-01-04 22:27:07 UTC
Created attachment 230716 [details]
v0 (RC1)

Previous dot-zero updates often had regressions, requiring to wait for a patch-level release. Let's try testing in advance.
Comment 1 Jan Beich freebsd_committer 2022-01-04 22:30:34 UTC
https://github.com/mesonbuild/meson/pull/4324 (backported as files/patch-mesonbuild_backend_backends.py) no longer applies after https://github.com/mesonbuild/meson/commit/06b1132f82ea. If it's still important, please, rebase.
Comment 2 commit-hook freebsd_committer 2022-01-04 23:34:17 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=efccbea1bf39a2987327862c8f900a1196ea34c6

commit efccbea1bf39a2987327862c8f900a1196ea34c6
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2022-01-04 23:30:20 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-04 23:33:23 +0000

    security/authenticator: unbreak build with Meson 0.61.0

    data/meson.build:34:0: ERROR: Function does not take positional arguments.
    data/meson.build:61:0: ERROR: Function does not take positional arguments.

    PR:             260943
    Regressed by:   https://github.com/mesonbuild/meson/commit/61f2866a9fa1

 security/authenticator/Makefile | 1 +
 security/authenticator/distinfo | 2 ++
 2 files changed, 3 insertions(+)
Comment 3 commit-hook freebsd_committer 2022-01-07 01:49:23 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=2c30f07628323ae23c0c5bca012591360290b618

commit 2c30f07628323ae23c0c5bca012591360290b618
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2022-01-04 23:30:20 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-07 01:48:19 +0000

    x11/gnome-session: unbreak build with Meson 0.61.0

    data/meson.build:60:2: ERROR: Function does not take positional arguments.
    data/meson.build:91:2: ERROR: Function does not take positional arguments.

    PR:             260943
    Regressed by:   https://github.com/mesonbuild/meson/commit/61f2866a9fa1

 x11/gnome-session/Makefile | 3 +++
 x11/gnome-session/distinfo | 2 ++
 2 files changed, 5 insertions(+)
Comment 4 commit-hook freebsd_committer 2022-01-07 02:14:27 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=1b330f0aa007db26a1bf3bf37da9f1c2669ddc86

commit 1b330f0aa007db26a1bf3bf37da9f1c2669ddc86
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2022-01-04 23:30:20 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-07 02:13:22 +0000

    sysutils/gnome-control-center: unbreak build with Meson 0.61.0

    panels/applications/meson.build:10:5: ERROR: Function does not take positional arguments.
    panels/background/meson.build:10:5: ERROR: Function does not take positional arguments.
    panels/camera/meson.build:10:5: ERROR: Function does not take positional arguments.
    [...]

    PR:             260943
    Regressed by:   https://github.com/mesonbuild/meson/commit/61f2866a9fa1

 sysutils/gnome-control-center/Makefile | 3 +++
 sysutils/gnome-control-center/distinfo | 2 ++
 2 files changed, 5 insertions(+)
Comment 5 Jan Beich freebsd_committer 2022-01-07 02:32:45 UTC
Created attachment 230775 [details]
v0.1 (RC1)

Partially revert bug 260056 to fix the following:

$ make -C lang/gjs
[...]
meson.build:562:0: ERROR: gnome.generate_gir keyword argument 'install_dir_gir' was of type array[bool] but should have been one of: str, bool, NoneType
Comment 6 commit-hook freebsd_committer 2022-01-07 02:48:33 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=ba7f28b83e9f22c72a1e7c37ea29cfe1a53a30a8

commit ba7f28b83e9f22c72a1e7c37ea29cfe1a53a30a8
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2022-01-04 23:30:20 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-07 02:47:39 +0000

    x11/gnome-shell: unbreak build with Meson 0.61.0

    subprojects/extensions-tool/src/templates/meson.build:7:2: ERROR: Function does not take positional arguments.
    subprojects/extensions-app/data/meson.build:17:5: ERROR: Function does not take positional arguments.
    subprojects/extensions-app/data/metainfo/meson.build:2:5: ERROR: Function does not take positional arguments.
    [...]

    PR:             260943
    Regressed by:   https://github.com/mesonbuild/meson/commit/61f2866a9fa1

 x11/gnome-shell/Makefile | 3 +++
 x11/gnome-shell/distinfo | 2 ++
 2 files changed, 5 insertions(+)
Comment 8 commit-hook freebsd_committer 2022-01-12 01:25:48 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=3ef0580b55cacc092002fc78780503c966837523

commit 3ef0580b55cacc092002fc78780503c966837523
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2022-01-12 01:14:29 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-12 01:24:59 +0000

    devel/gobject-introspection: unbreak build with Meson 0.61.0

    giscanner/meson.build:58:0: ERROR: File doctemplates does not exist.

    PR:             260943
    Reported by:    antoine (via exp-run)
    Regressed by:   https://github.com/mesonbuild/meson/commit/1e5d7f212246

 devel/gobject-introspection/Makefile | 6 ++++++
 devel/gobject-introspection/distinfo | 2 ++
 2 files changed, 8 insertions(+)
Comment 9 commit-hook freebsd_committer 2022-01-12 01:25:49 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=bd1542622aff1a811f222a56307ed70b443351eb

commit bd1542622aff1a811f222a56307ed70b443351eb
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2022-01-12 01:14:29 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-12 01:24:58 +0000

    security/p11-kit: unbreak build with Meson 0.61.0

    doc/manual/meson.build:69:8: ERROR: gnome.gtkdoc keyword argument 'dependencies' was of type array[CustomTarget | PkgConfigDependency] but should have been array[Dependency | SharedLibrary | StaticLibrary]

    PR:             260943
    Reported by:    antoine (via exp-run)
    Regressed by:   https://github.com/mesonbuild/meson/commit/566c2c9a9c98

 security/p11-kit/files/patch-doc_manual_meson.build (new) | 13 +++++++++++++
 1 file changed, 13 insertions(+)
Comment 10 Jan Beich freebsd_committer 2022-01-12 01:27:40 UTC
Created attachment 230938 [details]
v1 (0.61.0)
Comment 11 Tobias C. Berner freebsd_committer 2022-01-12 05:42:08 UTC
lgtm after the exp-run.
Comment 12 commit-hook freebsd_committer 2022-01-12 12:44:40 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=8a4d68aa743b45ff0b2c3b9e713c17c07a842a0e

commit 8a4d68aa743b45ff0b2c3b9e713c17c07a842a0e
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2021-04-09 17:07:57 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-12 12:43:53 +0000

    security/gcr: unbreak build with Meson 0.61.0

    gcr/meson.build:188:2: ERROR: gnome.generate_gir got unknown keyword arguments "packages"

    PR:             260943
    Regressed by:   https://github.com/mesonbuild/meson/commit/be1d013453e3

 security/gcr/Makefile | 3 +++
 security/gcr/distinfo | 2 ++
 2 files changed, 5 insertions(+)
Comment 13 Daniel Engberg freebsd_committer 2022-01-13 23:14:00 UTC
We might want to backport this commit?
https://github.com/mesonbuild/meson/commit/9952446a2a28ea2b009f4b8b2a14ad50f0878bdd.patch
Comment 15 Jan Beich freebsd_committer 2022-01-18 06:10:53 UTC
Created attachment 231109 [details]
v2 (0.61.1)

Obsoletes comment 13 and fixes more than half of the bustage. Need new exp-run results.
Comment 16 commit-hook freebsd_committer 2022-01-18 06:17:14 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=fdd974653ce53d25b61ae6785ed43036ca461e26

commit fdd974653ce53d25b61ae6785ed43036ca461e26
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2022-01-18 06:14:29 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-18 06:16:25 +0000

    sysutils/polkit: unbreak build with Meson 0.61.0

    actions/meson.build:3:5: ERROR: Function does not take positional arguments.

    PR:             260943
    Reported by:    antoine (via exp-run)
    Regressed by:   https://github.com/mesonbuild/meson/commit/61f2866a9fa1

 sysutils/polkit/Makefile | 3 +++
 sysutils/polkit/distinfo | 2 ++
 2 files changed, 5 insertions(+)
Comment 17 commit-hook freebsd_committer 2022-01-18 06:27:18 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=7d7ee4573d89acde0be114ccb6c072d8034bd488

commit 7d7ee4573d89acde0be114ccb6c072d8034bd488
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2022-01-18 06:25:58 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-18 06:26:50 +0000

    sysutils/tracker: unbreak build with Meson 0.61.0

    src/tracker-store/meson.build:50:5: ERROR: Function does not take positional arguments.

    PR:             260943
    Reported by:    antoine (via exp-run)
    Regressed by:   https://github.com/mesonbuild/meson/commit/61f2866a9fa1

 .../files/patch-src_tracker-store_meson.build (new)       | 15 +++++++++++++++
 1 file changed, 15 insertions(+)
Comment 18 commit-hook freebsd_committer 2022-01-18 06:40:20 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=98bcc402cb2ad52f0096b38c740ae880868ac4b3

commit 98bcc402cb2ad52f0096b38c740ae880868ac4b3
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2022-01-18 06:38:53 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-18 06:40:07 +0000

    x11/virtboard: unbreak build with Meson 0.61.0

    data/meson.build:8:7: ERROR: Function does not take positional arguments.

    PR:             260943
    Reported by:    antoine (via exp-run)
    Regressed by:   https://github.com/mesonbuild/meson/commit/61f2866a9fa1

 x11/virtboard/Makefile | 1 +
 x11/virtboard/distinfo | 2 ++
 2 files changed, 3 insertions(+)
Comment 19 commit-hook freebsd_committer 2022-01-18 06:58:25 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=3185afa34bdbe0389759e40a1829056f260889ce

commit 3185afa34bdbe0389759e40a1829056f260889ce
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2022-01-18 06:55:42 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-18 06:57:12 +0000

    deskutils/nautilus-sendto: unbreak build with Meson 0.61.0

    src/meson.build:10:5: ERROR: Function does not take positional arguments.

    PR:             260943
    Reported by:    antoine (via exp-run)
    Regressed by:   https://github.com/mesonbuild/meson/commit/61f2866a9fa1

 deskutils/nautilus-sendto/files/patch-src_meson.build (new) | 13 +++++++++++++
 1 file changed, 13 insertions(+)
Comment 20 commit-hook freebsd_committer 2022-01-20 01:36:09 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=540d7ff20fc877b496e203539633fe888e6208ed

commit 540d7ff20fc877b496e203539633fe888e6208ed
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2022-01-20 01:33:49 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-20 01:34:56 +0000

    audio/gnome-podcasts: unbreak build with Meson 0.61.0

    podcasts-gtk/resources/meson.build:5:0: ERROR: Function does not take positional arguments.

    PR:             260943
    Regressed by:   https://github.com/mesonbuild/meson/commit/61f2866a9fa1

 audio/gnome-podcasts/Makefile | 3 +++
 audio/gnome-podcasts/distinfo | 2 ++
 2 files changed, 5 insertions(+)
Comment 21 Antoine Brodin freebsd_committer 2022-01-22 19:31:32 UTC
Some new failure logs:

http://package18.nyi.freebsd.org/data/122amd64-default-foo/2022-01-20_18h39m40s/logs/errors/accountsservice-0.6.55_1.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2022-01-20_18h39m40s/logs/errors/aisleriot-3.22.19.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2022-01-20_18h39m40s/logs/errors/bijiben-40.1_1.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2022-01-20_18h39m40s/logs/errors/d-feet-0.3.15.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2022-01-20_18h39m40s/logs/errors/dconf-editor-3.38.3.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2022-01-20_18h39m40s/logs/errors/devhelp-41.2.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2022-01-20_18h39m40s/logs/errors/drawing-0.8.5.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2022-01-20_18h39m40s/logs/errors/elementary-code-6.0.0_2.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2022-01-20_18h39m40s/logs/errors/elementary-videos-2.7.3_1.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2022-01-20_18h39m40s/logs/errors/entangle-1.0.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2022-01-20_18h39m40s/logs/errors/epiphany-41.3.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2022-01-20_18h39m40s/logs/errors/evince-lite-41.3_1.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2022-01-20_18h39m40s/logs/errors/fractal-4.4.0_3.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2022-01-20_18h39m40s/logs/errors/frogr-1.6.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2022-01-20_18h39m40s/logs/errors/gedit-40.1.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2022-01-20_18h39m40s/logs/errors/gitg-3.32.1_4.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2022-01-20_18h39m40s/logs/errors/gnome-2048-3.38.2_1.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2022-01-20_18h39m40s/logs/errors/gnome-calendar-41.2.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2022-01-20_18h39m40s/logs/errors/gnome-characters-41.0.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2022-01-20_18h39m40s/logs/errors/gnome-dictionary-40.0.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2022-01-20_18h39m40s/logs/errors/gnome-font-viewer-41.0.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2022-01-20_18h39m40s/logs/errors/gnome-mahjongg-3.38.3.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2022-01-20_18h39m40s/logs/errors/gnome-maps-41.2.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2022-01-20_18h39m40s/logs/errors/gnome-mines-40.0.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2022-01-20_18h39m40s/logs/errors/gnome-photos-40.0.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2022-01-20_18h39m40s/logs/errors/gnome-screenshot-41.0.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2022-01-20_18h39m40s/logs/errors/gnome-sound-recorder-40.0.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2022-01-20_18h39m40s/logs/errors/gnome-sudoku-40.2.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2022-01-20_18h39m40s/logs/errors/gnome-tetravex-3.38.2.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2022-01-20_18h39m40s/logs/errors/gnome-weather-41.0.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2022-01-20_18h39m40s/logs/errors/gnote-41.1.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2022-01-20_18h39m40s/logs/errors/gtranslator-40.0.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2022-01-20_18h39m40s/logs/errors/gucharmap-14.0.1.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2022-01-20_18h39m40s/logs/errors/hitori-3.38.3.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2022-01-20_18h39m40s/logs/errors/marker-2020.04.04.2.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2022-01-20_18h39m40s/logs/errors/polari-41.0.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2022-01-20_18h39m40s/logs/errors/tali-40.4.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2022-01-20_18h39m40s/logs/errors/tilix-1.9.4.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2022-01-20_18h39m40s/logs/errors/virt-viewer-11.0.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2022-01-20_18h39m40s/logs/errors/zathura-0.4.5.log
Comment 22 commit-hook freebsd_committer 2022-01-23 09:26:48 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=85086dcf929afc729f969025d3f8bafeff5c1a47

commit 85086dcf929afc729f969025d3f8bafeff5c1a47
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2022-01-23 09:00:41 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-23 09:26:15 +0000

    net-mgmt/virt-viewer: unbreak build with Meson 0.61.0

    data/meson.build:4:7: ERROR: Function does not take positional arguments.

    PR:             260943
    Reported by:    antoine (via exp-run)
    Regressed by:   https://github.com/mesonbuild/meson/commit/61f2866a9fa1

 net-mgmt/virt-viewer/Makefile | 3 +++
 net-mgmt/virt-viewer/distinfo | 2 ++
 2 files changed, 5 insertions(+)
Comment 23 commit-hook freebsd_committer 2022-01-23 09:26:49 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=e7ce986272f56a553ea2638d35ef683684d94c27

commit e7ce986272f56a553ea2638d35ef683684d94c27
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2022-01-23 08:51:44 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-23 09:26:14 +0000

    graphics/zathura: unbreak build with Meson 0.61.0

    data/meson.build:22:0: ERROR: Function does not take positional arguments.

    PR:             260943
    Reported by:    antoine (via exp-run)
    Regressed by:   https://github.com/mesonbuild/meson/commit/61f2866a9fa1

 graphics/zathura/Makefile | 3 +++
 graphics/zathura/distinfo | 2 ++
 2 files changed, 5 insertions(+)
Comment 24 commit-hook freebsd_committer 2022-01-23 09:26:50 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=6cb5f08d65f3c8921e35996bcbc2169e28441d65

commit 6cb5f08d65f3c8921e35996bcbc2169e28441d65
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2022-01-23 08:55:28 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-23 09:26:15 +0000

    deskutils/gucharmap: unbreak build with Meson 0.61.0

    data/meson.build:20:5: ERROR: Function does not take positional arguments.

    PR:             260943
    Reported by:    antoine (via exp-run)
    Regressed by:   https://github.com/mesonbuild/meson/commit/61f2866a9fa1

 deskutils/gucharmap/Makefile | 3 +++
 deskutils/gucharmap/distinfo | 2 ++
 2 files changed, 5 insertions(+)
Comment 25 commit-hook freebsd_committer 2022-01-23 09:26:51 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=d1f2ea4618304d5015d452838a57a72e7d3aeedf

commit d1f2ea4618304d5015d452838a57a72e7d3aeedf
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2022-01-23 09:13:04 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-23 09:26:15 +0000

    x11/tilix: unbreak build with Meson 0.61.0

    data/meson.build:13:0: ERROR: Function does not take positional arguments.

    PR:             260943
    Reported by:    antoine (via exp-run)
    Regressed by:   https://github.com/mesonbuild/meson/commit/61f2866a9fa1

 x11/tilix/files/patch-data_meson.build | 15 +++++++++++++--
 1 file changed, 13 insertions(+), 2 deletions(-)
Comment 26 commit-hook freebsd_committer 2022-01-23 09:26:52 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=924cc243fc6d8d37bc68b1924e74565c0ddc75d9

commit 924cc243fc6d8d37bc68b1924e74565c0ddc75d9
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2022-01-23 08:49:23 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-23 09:26:14 +0000

    sysutils/accountsservice: unbreak build with Meson 0.61.0

    data/meson.build:31:5: ERROR: Function does not take positional arguments.

    PR:             260943
    Reported by:    antoine (via exp-run)
    Regressed by:   https://github.com/mesonbuild/meson/commit/61f2866a9fa1

 sysutils/accountsservice/Makefile | 3 +++
 sysutils/accountsservice/distinfo | 2 ++
 2 files changed, 5 insertions(+)
Comment 27 commit-hook freebsd_committer 2022-01-23 09:37:55 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=b5ecb27e73d9058b7c33b4def545791b4c6311c9

commit b5ecb27e73d9058b7c33b4def545791b4c6311c9
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2022-01-23 09:34:55 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-23 09:36:37 +0000

    editors/gedit: unbreak build with Meson 0.61.0

    data/meson.build:6:0: ERROR: Function does not take positional arguments.

    PR:             260943
    Reported by:    antoine (via exp-run)
    Regressed by:   https://github.com/mesonbuild/meson/commit/61f2866a9fa1

 editors/gedit/Makefile | 3 +++
 editors/gedit/distinfo | 2 ++
 2 files changed, 5 insertions(+)
Comment 28 commit-hook freebsd_committer 2022-01-23 10:09:00 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=8b8a08c962be2feecdaf5a034eb4f627c5e39a82

commit 8b8a08c962be2feecdaf5a034eb4f627c5e39a82
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2022-01-23 10:06:30 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-23 10:07:48 +0000

    deskutils/gnome-weather: unbreak build with Meson 0.61.0

    data/meson.build:61:0: ERROR: Function does not take positional arguments.

    PR:             260943
    Reported by:    antoine (via exp-run)
    Regressed by:   https://github.com/mesonbuild/meson/commit/61f2866a9fa1

 deskutils/gnome-weather/Makefile | 3 +++
 deskutils/gnome-weather/distinfo | 2 ++
 2 files changed, 5 insertions(+)
Comment 29 commit-hook freebsd_committer 2022-01-23 10:09:01 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=a47049ccd47918961b1f2eec672e78bff5f4cb38

commit a47049ccd47918961b1f2eec672e78bff5f4cb38
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2022-01-23 10:04:20 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-23 10:07:48 +0000

    deskutils/gnome-photos: unbreak build with Meson 0.61.0

    data/meson.build:5:5: ERROR: Function does not take positional arguments.

    PR:             260943
    Reported by:    antoine (via exp-run)
    Regressed by:   https://github.com/mesonbuild/meson/commit/61f2866a9fa1

 deskutils/gnome-photos/Makefile | 3 +++
 deskutils/gnome-photos/distinfo | 2 ++
 2 files changed, 5 insertions(+)
Comment 30 commit-hook freebsd_committer 2022-01-23 10:09:03 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=90b5c02529e221774ef0ca0db325f8e1bfed7072

commit 90b5c02529e221774ef0ca0db325f8e1bfed7072
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2022-01-23 10:02:16 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-23 10:07:48 +0000

    games/tali: unbreak build with Meson 0.61.0

    data/meson.build:25:0: ERROR: Function does not take positional arguments.

    PR:             260943
    Reported by:    antoine (via exp-run)
    Regressed by:   https://github.com/mesonbuild/meson/commit/61f2866a9fa1

 games/tali/Makefile | 3 +++
 games/tali/distinfo | 2 ++
 2 files changed, 5 insertions(+)
Comment 31 commit-hook freebsd_committer 2022-01-23 10:12:04 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=9f978468649374c4a0c1939045f58ef31896db21

commit 9f978468649374c4a0c1939045f58ef31896db21
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2022-01-23 10:10:14 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-23 10:11:03 +0000

    deskutils/gnome-font-viewer: unbreak build with Meson 0.61.0

    src/meson.build:42:5: ERROR: Function does not take positional arguments.

    PR:             260943
    Reported by:    antoine (via exp-run)
    Regressed by:   https://github.com/mesonbuild/meson/commit/61f2866a9fa1

 deskutils/gnome-font-viewer/Makefile | 3 +++
 deskutils/gnome-font-viewer/distinfo | 2 ++
 2 files changed, 5 insertions(+)
Comment 32 commit-hook freebsd_committer 2022-01-23 10:15:06 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=0937999100c234f62fcc83e209a9ced0cc3eea49

commit 0937999100c234f62fcc83e209a9ced0cc3eea49
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2022-01-23 10:14:30 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-23 10:14:53 +0000

    devel/devhelp: unbreak build with Meson 0.61.0

    data/meson.build:21:0: ERROR: Function does not take positional arguments.

    PR:             260943
    Reported by:    antoine (via exp-run)
    Regressed by:   https://github.com/mesonbuild/meson/commit/61f2866a9fa1

 devel/devhelp/Makefile | 3 +++
 devel/devhelp/distinfo | 2 ++
 2 files changed, 5 insertions(+)
Comment 33 commit-hook freebsd_committer 2022-01-23 10:26:09 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=299348602e6d75b6f85b2e7303a0bea5f37541b6

commit 299348602e6d75b6f85b2e7303a0bea5f37541b6
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2022-01-23 10:19:27 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-23 10:24:09 +0000

    www/epiphany: unbreak build with Meson 0.61.0

    data/meson.build:18:0: ERROR: Function does not take positional arguments.

    PR:             260943
    Reported by:    antoine (via exp-run)
    Regressed by:   https://github.com/mesonbuild/meson/commit/61f2866a9fa1

 www/epiphany/Makefile | 3 +++
 www/epiphany/distinfo | 2 ++
 2 files changed, 5 insertions(+)
Comment 34 commit-hook freebsd_committer 2022-01-23 10:26:10 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=6962c17e779d356b6996781a3c159f7dadab91ea

commit 6962c17e779d356b6996781a3c159f7dadab91ea
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2022-01-23 10:16:57 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-23 10:24:09 +0000

    graphics/evince: unbreak build with Meson 0.61.0

    backend/meson.build:55:7: ERROR: Function does not take positional arguments.

    PR:             260943
    Reported by:    antoine (via exp-run)
    Regressed by:   https://github.com/mesonbuild/meson/commit/61f2866a9fa1

 graphics/evince/Makefile | 3 +++
 graphics/evince/distinfo | 2 ++
 2 files changed, 5 insertions(+)
Comment 35 commit-hook freebsd_committer 2022-01-23 10:26:11 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=6c272e706b85e7e4f66d98283574aae33964432b

commit 6c272e706b85e7e4f66d98283574aae33964432b
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2022-01-23 10:22:31 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-23 10:24:09 +0000

    multimedia/totem: unbreak build with Meson 0.61.0

    data/appdata/meson.build:3:0: ERROR: Function does not take positional arguments.

    PR:             260943
    Regressed by:   https://github.com/mesonbuild/meson/commit/61f2866a9fa1

 multimedia/totem/Makefile | 3 +++
 multimedia/totem/distinfo | 2 ++
 2 files changed, 5 insertions(+)
Comment 36 commit-hook freebsd_committer 2022-01-23 10:31:13 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=d3dbf1c48e10baedec69c32739eb5a1915666923

commit d3dbf1c48e10baedec69c32739eb5a1915666923
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2022-01-23 10:29:56 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-23 10:30:29 +0000

    deskutils/gnome-documents: unbreak build with Meson 0.61.0

    data/meson.build:58:2: ERROR: Function does not take positional arguments.

    PR:             260943
    Regressed by:   https://github.com/mesonbuild/meson/commit/61f2866a9fa1

 .../files/patch-data_meson.build (new)               | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)
Comment 37 commit-hook freebsd_committer 2022-01-23 10:56:19 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=7d8d12abfc12d30d00f7c8842bcdc984fc474a13

commit 7d8d12abfc12d30d00f7c8842bcdc984fc474a13
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2022-01-23 10:54:25 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-23 10:55:12 +0000

    games/gnome-2048: unbreak build with Meson 0.61.0

    data/meson.build:19:0: ERROR: Function does not take positional arguments.

    PR:             260943
    Reported by:    antoine (via exp-run)
    Regressed by:   https://github.com/mesonbuild/meson/commit/61f2866a9fa1

 games/gnome-2048/Makefile | 3 +++
 games/gnome-2048/distinfo | 2 ++
 2 files changed, 5 insertions(+)
Comment 38 commit-hook freebsd_committer 2022-01-23 11:03:20 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=2b2d5dc181a8d186fcae3a0ff6e118054ab59e57

commit 2b2d5dc181a8d186fcae3a0ff6e118054ab59e57
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2022-01-23 11:02:33 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-23 11:03:00 +0000

    deskutils/gnome-calendar: unbreak build with Meson 0.61.0

    data/appdata/meson.build:3:0: ERROR: Function does not take positional arguments.

    PR:             260943
    Reported by:    antoine (via exp-run)
    Regressed by:   https://github.com/mesonbuild/meson/commit/61f2866a9fa1

 deskutils/gnome-calendar/Makefile | 3 +++
 deskutils/gnome-calendar/distinfo | 2 ++
 2 files changed, 5 insertions(+)
Comment 39 commit-hook freebsd_committer 2022-01-23 11:09:22 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=1cb23daf73b17f71a7181777fc177436314554b0

commit 1cb23daf73b17f71a7181777fc177436314554b0
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2022-01-23 11:07:34 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-23 11:08:35 +0000

    deskutils/gnome-characters: unbreak build with Meson 0.61.0

    data/meson.build:49:5: ERROR: Function does not take positional arguments.

    PR:             260943
    Reported by:    antoine (via exp-run)
    Regressed by:   https://github.com/mesonbuild/meson/commit/61f2866a9fa1

 .../files/patch-data_meson.build (new)             | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)
Comment 40 commit-hook freebsd_committer 2022-01-24 12:36:57 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=ce223b07266e50d7893a271a9009d59f3a0657fc

commit ce223b07266e50d7893a271a9009d59f3a0657fc
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2022-01-24 12:34:01 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-24 12:35:08 +0000

    irc/polari: unbreak build with Meson 0.61.0

    data/appdata/meson.build:2:0: ERROR: Function does not take positional arguments.

    PR:             260943
    Reported by:    antoine (via exp-run)
    Regressed by:   https://github.com/mesonbuild/meson/commit/61f2866a9fa1

 irc/polari/Makefile | 3 +++
 irc/polari/distinfo | 2 ++
 2 files changed, 5 insertions(+)
Comment 41 commit-hook freebsd_committer 2022-01-24 12:36:58 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=56adebf3c4ad03bf663b80dd7036fb62091d86e2

commit 56adebf3c4ad03bf663b80dd7036fb62091d86e2
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2022-01-24 11:55:30 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-24 12:35:06 +0000

    deskutils/gnote: unbreak build with Meson 0.61.0

    data/meson.build:4:0: ERROR: Function does not take positional arguments.

    PR:             260943
    Reported by:    antoine (via exp-run)
    Regressed by:   https://github.com/mesonbuild/meson/commit/61f2866a9fa1

 deskutils/gnote/Makefile | 3 +++
 deskutils/gnote/distinfo | 2 ++
 2 files changed, 5 insertions(+)
Comment 42 commit-hook freebsd_committer 2022-01-24 12:36:59 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=80c5ab5b8b8bdc4ef147bbcf02e0be3908402e35

commit 80c5ab5b8b8bdc4ef147bbcf02e0be3908402e35
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2022-01-24 12:05:05 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-24 12:35:07 +0000

    deskutils/bijiben: unbreak build with Meson 0.61.0

    data/appdata/meson.build:3:5: ERROR: Function does not take positional arguments.

    PR:             260943
    Reported by:    antoine (via exp-run)
    Regressed by:   https://github.com/mesonbuild/meson/commit/61f2866a9fa1

 deskutils/bijiben/Makefile | 3 +++
 deskutils/bijiben/distinfo | 2 ++
 2 files changed, 5 insertions(+)
Comment 43 commit-hook freebsd_committer 2022-01-24 12:37:00 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=ee397923bb703379bd68c74bad7661fd1a99445e

commit ee397923bb703379bd68c74bad7661fd1a99445e
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2022-01-24 12:24:14 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-24 12:35:08 +0000

    graphics/frogr: unbreak build with Meson 0.61.0

    data/meson.build:32:5: ERROR: Function does not take positional arguments.

    PR:             260943
    Reported by:    antoine (via exp-run)
    Regressed by:   https://github.com/mesonbuild/meson/commit/61f2866a9fa1

 graphics/frogr/Makefile | 3 +++
 graphics/frogr/distinfo | 2 ++
 2 files changed, 5 insertions(+)
Comment 44 commit-hook freebsd_committer 2022-01-24 12:37:01 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=97acc601edf15e40dc77b024719fdd386cc4bf4b

commit 97acc601edf15e40dc77b024719fdd386cc4bf4b
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2022-01-24 12:01:34 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-24 12:35:07 +0000

    games/aisleriot: unbreak build with Meson 0.61.0

    data/meson.build:20:5: ERROR: Function does not take positional arguments.

    PR:             260943
    Reported by:    antoine (via exp-run)
    Regressed by:   https://github.com/mesonbuild/meson/commit/61f2866a9fa1

 games/aisleriot/Makefile | 3 +++
 games/aisleriot/distinfo | 2 ++
 2 files changed, 5 insertions(+)
Comment 45 commit-hook freebsd_committer 2022-01-24 12:37:02 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=8ba0311efa2329e7124b2b39298937ef42ca5caa

commit 8ba0311efa2329e7124b2b39298937ef42ca5caa
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2022-01-24 12:29:26 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-24 12:35:08 +0000

    games/hitori: unbreak build with Meson 0.61.0

    data/meson.build:3:0: ERROR: Function does not take positional arguments.

    PR:             260943
    Reported by:    antoine (via exp-run)
    Regressed by:   https://github.com/mesonbuild/meson/commit/61f2866a9fa1

 games/hitori/Makefile | 3 +++
 games/hitori/distinfo | 2 ++
 2 files changed, 5 insertions(+)
Comment 46 commit-hook freebsd_committer 2022-01-24 12:37:03 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=c317f841dcffd6219a85f6467ee89ee3a2c75839

commit c317f841dcffd6219a85f6467ee89ee3a2c75839
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2022-01-24 12:20:08 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-24 12:35:08 +0000

    devel/gitg: unbreak build with Meson 0.61.0

    data/meson.build:8:5: ERROR: Function does not take positional arguments.

    PR:             260943
    Reported by:    antoine (via exp-run)
    Regressed by:   https://github.com/mesonbuild/meson/commit/61f2866a9fa1

 devel/gitg/Makefile | 3 +++
 devel/gitg/distinfo | 2 ++
 2 files changed, 5 insertions(+)
Comment 47 commit-hook freebsd_committer 2022-01-24 12:37:04 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=e8da92d64012af2c927a7f68db5174c8a96bd164

commit e8da92d64012af2c927a7f68db5174c8a96bd164
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2022-01-24 11:59:24 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-24 12:35:07 +0000

    devel/gtranslator: unbreak build with Meson 0.61.0

    data/meson.build:15:5: ERROR: Function does not take positional arguments.

    PR:             260943
    Reported by:    antoine (via exp-run)
    Regressed by:   https://github.com/mesonbuild/meson/commit/61f2866a9fa1

 devel/gtranslator/Makefile | 3 +++
 devel/gtranslator/distinfo | 2 ++
 2 files changed, 5 insertions(+)
Comment 48 commit-hook freebsd_committer 2022-01-24 12:37:05 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=81c596d702793a7886cf260dc3f4e55649ab3e69

commit 81c596d702793a7886cf260dc3f4e55649ab3e69
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2022-01-24 12:13:48 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-24 12:35:07 +0000

    devel/d-feet: unbreak build with Meson 0.61.0

    data/meson.build:15:5: ERROR: Function does not take positional arguments.

    PR:             260943
    Reported by:    antoine (via exp-run)
    Regressed by:   https://github.com/mesonbuild/meson/commit/61f2866a9fa1

 devel/d-feet/Makefile | 3 +++
 devel/d-feet/distinfo | 2 ++
 2 files changed, 5 insertions(+)
Comment 49 commit-hook freebsd_committer 2022-01-24 12:37:06 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=c359d73049f5ee2106869f8bf55784d40e8a289f

commit c359d73049f5ee2106869f8bf55784d40e8a289f
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2022-01-24 12:08:08 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-24 12:35:07 +0000

    devel/dconf-editor: unbreak build with Meson 0.61.0

    editor/meson.build:3:5: ERROR: Function does not take positional arguments.

    PR:             260943
    Reported by:    antoine (via exp-run)
    Regressed by:   https://github.com/mesonbuild/meson/commit/61f2866a9fa1

 devel/dconf-editor/Makefile | 3 +++
 devel/dconf-editor/distinfo | 2 ++
 2 files changed, 5 insertions(+)
Comment 50 commit-hook freebsd_committer 2022-01-24 12:37:08 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=fd9fc45ced748d58570dcb158eafb870676bb2fd

commit fd9fc45ced748d58570dcb158eafb870676bb2fd
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2022-01-24 11:46:43 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-24 12:35:06 +0000

    games/gnome-sudoku: unbreak build with Meson 0.61.0

    data/meson.build:5:0: ERROR: Function does not take positional arguments.

    PR:             260943
    Reported by:    antoine (via exp-run)
    Regressed by:   https://github.com/mesonbuild/meson/commit/61f2866a9fa1

 games/gnome-sudoku/Makefile | 3 +++
 games/gnome-sudoku/distinfo | 2 ++
 2 files changed, 5 insertions(+)
Comment 51 commit-hook freebsd_committer 2022-01-24 12:37:09 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=908f8371fefb3bc9db33926791eded390e062151

commit 908f8371fefb3bc9db33926791eded390e062151
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2022-01-24 11:41:25 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-24 12:35:06 +0000

    deskutils/gnome-sound-recorder: unbreak build with Meson 0.61.0

    data/meson.build:16:0: ERROR: Function does not take positional arguments.

    PR:             260943
    Reported by:    antoine (via exp-run)
    Regressed by:   https://github.com/mesonbuild/meson/commit/61f2866a9fa1

 deskutils/gnome-sound-recorder/Makefile | 3 +++
 deskutils/gnome-sound-recorder/distinfo | 2 ++
 2 files changed, 5 insertions(+)
Comment 52 commit-hook freebsd_committer 2022-01-24 12:37:10 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=37b6d488ac99888e1c1d4f42890f9ce4cd11f268

commit 37b6d488ac99888e1c1d4f42890f9ce4cd11f268
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2022-01-24 11:32:40 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-24 12:35:06 +0000

    deskutils/gnome-screenshot: unbreak build with Meson 0.61.0

    data/meson.build:3:0: ERROR: Function does not take positional arguments.

    PR:             260943
    Reported by:    antoine (via exp-run)
    Regressed by:   https://github.com/mesonbuild/meson/commit/61f2866a9fa1

 deskutils/gnome-screenshot/Makefile | 3 +++
 deskutils/gnome-screenshot/distinfo | 2 ++
 2 files changed, 5 insertions(+)
Comment 53 commit-hook freebsd_committer 2022-01-24 12:37:11 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=a1ad671b4a81a37e4b822ab3e614bca86324a1d0

commit a1ad671b4a81a37e4b822ab3e614bca86324a1d0
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2022-01-24 12:26:29 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-24 12:35:08 +0000

    net-im/fractal: unbreak build with Meson 0.61.0

    fractal-gtk/res/meson.build:5:0: ERROR: Function does not take positional arguments.

    PR:             260943
    Reported by:    antoine (via exp-run)
    Regressed by:   https://github.com/mesonbuild/meson/commit/61f2866a9fa1

 net-im/fractal/Makefile | 3 +++
 net-im/fractal/distinfo | 2 ++
 2 files changed, 5 insertions(+)
Comment 54 commit-hook freebsd_committer 2022-01-24 12:37:12 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=5fd5afe0e6a4066a66d31760df2c0df2f4cb581c

commit 5fd5afe0e6a4066a66d31760df2c0df2f4cb581c
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2021-08-04 17:49:14 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-24 12:35:05 +0000

    deskutils/gnome-dictionary: unbreak build with Meson 0.61.0

    data/appdata/meson.build:3:5: ERROR: Function does not take positional arguments.

    PR:             260943
    Reported by:    antoine (via exp-run)
    Regressed by:   https://github.com/mesonbuild/meson/commit/61f2866a9fa1

 deskutils/gnome-dictionary/Makefile | 4 ++++
 deskutils/gnome-dictionary/distinfo | 4 ++++
 2 files changed, 8 insertions(+)
Comment 55 commit-hook freebsd_committer 2022-01-24 12:37:13 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=a49e9541141cc2706db54a548f2d106a249ef266

commit a49e9541141cc2706db54a548f2d106a249ef266
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2022-01-24 11:50:55 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-24 12:35:06 +0000

    games/gnome-tetravex: unbreak build with Meson 0.61.0

    data/meson.build:37:2: ERROR: Function does not take positional arguments.

    PR:             260943
    Reported by:    antoine (via exp-run)
    Regressed by:   https://github.com/mesonbuild/meson/commit/61f2866a9fa1

 games/gnome-tetravex/Makefile | 3 +++
 games/gnome-tetravex/distinfo | 2 ++
 2 files changed, 5 insertions(+)
Comment 56 commit-hook freebsd_committer 2022-01-24 12:37:14 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=8741adef5dbe97a6366ce4a00fd62700b981405a

commit 8741adef5dbe97a6366ce4a00fd62700b981405a
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2022-01-24 11:30:29 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-24 12:35:06 +0000

    deskutils/gnome-maps: unbreak build with Meson 0.61.0

    data/meson.build:35:0: ERROR: Function does not take positional arguments.

    PR:             260943
    Reported by:    antoine (via exp-run)
    Regressed by:   https://github.com/mesonbuild/meson/commit/61f2866a9fa1

 deskutils/gnome-maps/files/patch-data_meson.build (new) | 14 ++++++++++++++
 1 file changed, 14 insertions(+)
Comment 57 commit-hook freebsd_committer 2022-01-24 12:37:15 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=d14927078dcec347a4d2625dabdeb38b86d55dc6

commit d14927078dcec347a4d2625dabdeb38b86d55dc6
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2022-01-24 11:27:00 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-24 12:35:05 +0000

    games/gnome-mahjongg: unbreak build with Meson 0.61.0

    data/meson.build:24:0: ERROR: Function does not take positional arguments.

    PR:             260943
    Reported by:    antoine (via exp-run)
    Regressed by:   https://github.com/mesonbuild/meson/commit/61f2866a9fa1

 games/gnome-mahjongg/Makefile | 3 +++
 games/gnome-mahjongg/distinfo | 2 ++
 2 files changed, 5 insertions(+)
Comment 58 commit-hook freebsd_committer 2022-01-24 12:50:19 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=04ebf6c7bd1bc22bce9cbd5e0366c8f1834b8e02

commit 04ebf6c7bd1bc22bce9cbd5e0366c8f1834b8e02
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2022-01-24 12:49:05 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-24 12:49:55 +0000

    editors/marker: unbreak build with Meson 0.61.0

    help/meson.build:2:6: ERROR: Program 'itstool' not found or not executable

    PR:             260943
    Reported by:    antoine (via exp-run)
    Regressed by:   https://github.com/mesonbuild/meson/commit/26c1869a142a

 editors/marker/Makefile | 1 +
 1 file changed, 1 insertion(+)
Comment 59 commit-hook freebsd_committer 2022-01-24 12:53:20 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=9a56c8f62c66b5076f5a2c58d8229e1834a50f3d

commit 9a56c8f62c66b5076f5a2c58d8229e1834a50f3d
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2022-01-24 12:52:16 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-24 12:52:33 +0000

    graphics/drawing: unbreak build with Meson 0.61.0

    help/meson.build:2:6: ERROR: Program 'itstool' not found or not executable

    PR:             260943
    Reported by:    antoine (via exp-run)
    Regressed by:   https://github.com/mesonbuild/meson/commit/26c1869a142a

 graphics/drawing/Makefile | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)
Comment 60 commit-hook freebsd_committer 2022-01-24 13:22:27 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=2fdc125d178a45ed2b708d26b6e35c38b76614e9

commit 2fdc125d178a45ed2b708d26b6e35c38b76614e9
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2022-01-24 13:14:13 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-24 13:21:07 +0000

    editors/elementary-code: unbreak build with Meson 0.61.0

    data/meson.build:66:9: ERROR: Function does not take positional arguments.

    PR:             260943
    Reported by:    antoine (via exp-run)
    Regressed by:   https://github.com/mesonbuild/meson/commit/61f2866a9fa1

 editors/elementary-code/Makefile | 3 +++
 editors/elementary-code/distinfo | 2 ++
 2 files changed, 5 insertions(+)
Comment 61 commit-hook freebsd_committer 2022-01-24 13:22:29 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=6cc6cf0fefadbb4e8aa7c72200c443548abb6eaf

commit 6cc6cf0fefadbb4e8aa7c72200c443548abb6eaf
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2022-01-24 13:16:30 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-24 13:21:07 +0000

    multimedia/elementary-videos: unbreak build with Meson 0.61.0

    data/meson.build:22:5: ERROR: Function does not take positional arguments.

    PR:             260943
    Reported by:    antoine (via exp-run)
    Regressed by:   https://github.com/mesonbuild/meson/commit/61f2866a9fa1

 multimedia/elementary-videos/Makefile | 3 +++
 multimedia/elementary-videos/distinfo | 2 ++
 2 files changed, 5 insertions(+)
Comment 62 commit-hook freebsd_committer 2022-01-24 13:22:30 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=683aee272ea8309a83f48cdaa467cfcddb69a7b6

commit 683aee272ea8309a83f48cdaa467cfcddb69a7b6
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2022-01-24 13:00:21 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-24 13:21:07 +0000

    graphics/entangle: unbreak build with Meson 0.61.0

    src/meson.build:42:5: ERROR: Function does not take positional arguments.
    help/meson.build:23:6: ERROR: Program 'itstool' not found or not executable

    PR:             260943
    Reported by:    antoine (via exp-run)
    Regressed by:   https://github.com/mesonbuild/meson/commit/61f2866a9fa1
    Regressed by:   https://github.com/mesonbuild/meson/commit/26c1869a142a

 graphics/entangle/Makefile                         |  3 ++-
 .../entangle/files/patch-src_meson.build (new)     | 24 ++++++++++++++++++++++
 2 files changed, 26 insertions(+), 1 deletion(-)
Comment 63 commit-hook freebsd_committer 2022-01-24 13:32:33 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=701d8543680889ffc35bf6073dac74ceb64ec1d1

commit 701d8543680889ffc35bf6073dac74ceb64ec1d1
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2022-01-24 13:31:32 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-24 13:32:15 +0000

    games/gnome-mines: unbreak build with Meson 0.61.0

    data/meson.build:18:0: ERROR: Function does not take positional arguments.

    PR:             260943
    Reported by:    antoine (via exp-run)
    Regressed by:   https://github.com/mesonbuild/meson/commit/61f2866a9fa1

 games/gnome-mines/Makefile | 3 +++
 games/gnome-mines/distinfo | 2 ++
 2 files changed, 5 insertions(+)
Comment 64 Jan Beich freebsd_committer 2022-01-24 13:37:12 UTC
Antoine, can you retry? comment 21 list is clear.
Comment 66 commit-hook freebsd_committer 2022-01-25 12:26:43 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=5c35fa4abd31f1bdee21d37ea5d3a2a814f0e1aa

commit 5c35fa4abd31f1bdee21d37ea5d3a2a814f0e1aa
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2022-01-25 11:58:30 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-25 12:24:56 +0000

    x11/gnome-terminal: unbreak build with Meson 0.61.0

    data/meson.build:20:5: ERROR: Function does not take positional arguments.

    PR:             260943
    Reported by:    antoine (via exp-run)
    Regressed by:   https://github.com/mesonbuild/meson/commit/61f2866a9fa1

 x11/gnome-terminal/Makefile | 3 +++
 x11/gnome-terminal/distinfo | 2 ++
 2 files changed, 5 insertions(+)
Comment 67 commit-hook freebsd_committer 2022-01-25 12:26:44 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=8f00bb52c9298b1a63f10c2f38fa3ea6cf7127b4

commit 8f00bb52c9298b1a63f10c2f38fa3ea6cf7127b4
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2022-01-25 11:53:43 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-25 12:24:56 +0000

    x11/gnome-shell-extensions: unbreak build with Meson 0.61.0

    data/meson.build:2:5: ERROR: Function does not take positional arguments.

    PR:             260943
    Reported by:    antoine (via exp-run)
    Regressed by:   https://github.com/mesonbuild/meson/commit/61f2866a9fa1

 .../files/patch-data_meson.build (new)                      | 13 +++++++++++++
 1 file changed, 13 insertions(+)
Comment 68 commit-hook freebsd_committer 2022-01-25 12:26:45 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=4b0e1608dfefe8b2db5d1756b6383138e56c1d04

commit 4b0e1608dfefe8b2db5d1756b6383138e56c1d04
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2022-01-25 12:17:17 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-25 12:24:57 +0000

    audio/sound-juicer: unbreak build with Meson 0.61.0

    data/meson.build:2:5: ERROR: Function does not take positional arguments.

    PR:             260943
    Reported by:    antoine (via exp-run)
    Regressed by:   https://github.com/mesonbuild/meson/commit/61f2866a9fa1

 audio/sound-juicer/Makefile | 3 +++
 audio/sound-juicer/distinfo | 2 ++
 2 files changed, 5 insertions(+)
Comment 69 commit-hook freebsd_committer 2022-01-25 12:26:46 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=1469c1b408a79a6e9bd3889518e58c273988d35c

commit 1469c1b408a79a6e9bd3889518e58c273988d35c
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2022-01-25 12:01:32 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-25 12:24:57 +0000

    deskutils/gnome-tweaks: unbreak build with Meson 0.61.0

    data/meson.build:2:5: ERROR: Function does not take positional arguments.

    PR:             260943
    Reported by:    antoine (via exp-run)
    Regressed by:   https://github.com/mesonbuild/meson/commit/61f2866a9fa1

 deskutils/gnome-tweaks/Makefile | 3 +++
 deskutils/gnome-tweaks/distinfo | 2 ++
 2 files changed, 5 insertions(+)
Comment 70 commit-hook freebsd_committer 2022-01-25 12:26:47 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=3b9706c893acf249cd1986b74c16b1d1385f23c9

commit 3b9706c893acf249cd1986b74c16b1d1385f23c9
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2022-01-25 11:45:40 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-25 12:24:56 +0000

    audio/gnome-music: unbreak build with Meson 0.61.0

    data/meson.build:49:5: ERROR: Function does not take positional arguments.

    PR:             260943
    Reported by:    antoine (via exp-run)
    Regressed by:   https://github.com/mesonbuild/meson/commit/61f2866a9fa1

 audio/gnome-music/Makefile | 3 +++
 audio/gnome-music/distinfo | 2 ++
 2 files changed, 5 insertions(+)
Comment 71 commit-hook freebsd_committer 2022-01-25 12:26:48 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=0872da015336ffb678af591f882d1549c2b62c42

commit 0872da015336ffb678af591f882d1549c2b62c42
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2022-01-25 12:23:08 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-25 12:25:51 +0000

    x11/cinnamon: unbreak build with Meson 0.61.0

    docs/reference/cinnamon-js/meson.build:11:6: ERROR: gnome.gtkdoc keyword argument 'dependencies' was of type array[CustomTarget] but should have been array[Dependency | SharedLibrary | StaticLibrary]

    PR:             260943
    Reported by:    antoine (via exp-run)
    Regressed by:   https://github.com/mesonbuild/meson/commit/566c2c9a9c98

 x11/cinnamon/Makefile | 1 +
 x11/cinnamon/distinfo | 2 ++
 2 files changed, 3 insertions(+)
Comment 72 commit-hook freebsd_committer 2022-01-25 12:26:49 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=0d4cb8fc0eecfd4ce64e124e1c03d897fe4d0f02

commit 0d4cb8fc0eecfd4ce64e124e1c03d897fe4d0f02
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2022-01-25 11:45:49 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-25 12:24:56 +0000

    deskutils/gnome-initial-setup: unbreak build with Meson 0.61.0

    data/meson.build:33:9: ERROR: Function does not take positional arguments.

    PR:             260943
    Reported by:    antoine (via exp-run)
    Regressed by:   https://github.com/mesonbuild/meson/commit/61f2866a9fa1

 deskutils/gnome-initial-setup/Makefile | 3 +++
 deskutils/gnome-initial-setup/distinfo | 2 ++
 2 files changed, 5 insertions(+)
Comment 73 commit-hook freebsd_committer 2022-01-25 12:27:51 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=f35efce3b504ea3a844a0b27b65f005903ad0635

commit f35efce3b504ea3a844a0b27b65f005903ad0635
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2022-01-25 12:13:19 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-25 12:24:57 +0000

    editors/gedit-plugins: unbreak build with Meson 0.61.0

    plugins/bookmarks/meson.build:43:0: ERROR: Function does not take positional arguments.

    PR:             260943
    Reported by:    antoine (via exp-run)
    Regressed by:   https://github.com/mesonbuild/meson/commit/61f2866a9fa1

 editors/gedit-plugins/Makefile | 3 +++
 editors/gedit-plugins/distinfo | 2 ++
 2 files changed, 5 insertions(+)
Comment 74 Jan Beich freebsd_committer 2022-01-25 12:29:45 UTC
Created attachment 231308 [details]
v2 (0.61.1)

Rebased after ports 0872da015336.

Antoine, can you retry? comment 65 list is clear.
Comment 75 Antoine Brodin freebsd_committer 2022-01-26 18:41:10 UTC
Exp-run looks fine
Comment 76 commit-hook freebsd_committer 2022-01-26 19:59:21 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=2061fd18688e1257b25822b4cf61c3c6baf03a22

commit 2061fd18688e1257b25822b4cf61c3c6baf03a22
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2022-01-17 10:50:45 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-26 19:58:13 +0000

    devel/meson: update to 0.61.1

    - Revert some 0.60.2 fixes incompatible with 0.61.0
    - Drop rpath workaround for JHBuild as it's non-trivial to rebase

    Changes:        https://mesonbuild.com/Release-notes-for-0-61-0.html
    PR:             260943
    Reported by:    GitHub (watch releases)
    Approved by:    tcberner
    Exp-run by:     antoine

 devel/meson/Makefile                               |  2 +-
 devel/meson/distinfo                               |  6 ++--
 .../patch-mesonbuild_backend_backends.py (gone)    | 40 ----------------------
 lang/cjs/Makefile                                  |  3 --
 lang/cjs/distinfo                                  |  2 --
 lang/gjs/Makefile                                  |  3 --
 lang/gjs/distinfo                                  |  2 --
 x11/cinnamon/Makefile                              |  1 -
 x11/cinnamon/distinfo                              |  2 --
 9 files changed, 4 insertions(+), 57 deletions(-)